//
//  ViewController.m
//  TouchTextInput
//
//  Created by Holger Hinzberg on 22.02.12.
//  Copyright (c) 2012 Cocoa-Coding. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()

@end

@implementation ViewController
@synthesize firstNameTextField;
@synthesize nameTextField;
@synthesize ageTextField;

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
}

- (void)viewDidUnload
{
    [self setFirstNameTextField:nil];
    [self setNameTextField:nil];
    [self setAgeTextField:nil];
    [super viewDidUnload];
    // Release any retained subviews of the main view.
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    return (interfaceOrientation != UIInterfaceOrientationPortraitUpsideDown);
}


- (IBAction)firstnameTextEditingDidEnd:(id)sender
{
    // Das Textfeld für den Namen wird First Responder 
    [nameTextField becomeFirstResponder];
}

- (IBAction)nameTextEditingDidEnd:(id)sender
{
    // Alter wird First Responder
    [ageTextField becomeFirstResponder];
}

- (IBAction)acceptButtonClicked:(id)sender
{
    // First Responder Status aufgeben
    [nameTextField resignFirstResponder];
    [firstNameTextField resignFirstResponder];
    [ageTextField resignFirstResponder];
    
    NSString *name = nameTextField.text;
    NSString *firstName = firstNameTextField.text;
    // Hier muss ein wenig konvertiert werden.
    int age = ageTextField.text.intValue;

    // Die Nachricht aus den einzelnen
    // Variablen zusammensetzen.
    
    NSMutableString *messageText =
    [NSMutableString stringWithFormat:@"Name: %@",name];
    
    [messageText appendString:
     [NSString stringWithFormat:@"\nVorname: %@", firstName]];
    
    [messageText appendString:
     [NSString stringWithFormat:@"\nAlter: %i", age]];
    
    
    // Die Überschrift
    NSString *titleText = @"Ihre Daten";
    
    // Ein UIAlertView - Mitteilungsfenster
    UIAlertView *alert = 
    [[UIAlertView alloc] initWithTitle:titleText
                               message:messageText
                              delegate:nil
                     cancelButtonTitle:@"OK"
                     otherButtonTitles:nil];
    
    [alert show];
}

- (IBAction)deleteButtonClicked:(id)sender
{
    // Ein UIActionSheet erzeugen und konfigurieren
    UIActionSheet *sheet =
    [[UIActionSheet alloc] initWithTitle:
     @"Eingaben löschen?"
                                delegate:self
                       cancelButtonTitle:@"Nein, doch nicht!"
                  destructiveButtonTitle:@"Ja, bitte."
                       otherButtonTitles:nil];
    
    // UIActionSheet anzeigen 
    [sheet showInView:self.view];
}

- (IBAction)backgroundClicked:(id)sender
{
    // Kein Textfeld soll First Responder sein.
    [nameTextField resignFirstResponder];
    [firstNameTextField resignFirstResponder];
    [ageTextField resignFirstResponder];
}

- (void)actionSheet:(UIActionSheet *)actionSheet 
clickedButtonAtIndex:(NSInteger)buttonIndex
{
    // Der erste Button wurde gewählt
    if (buttonIndex == 0)
    {
        // Alle Textfelder leeren
        nameTextField.text = @"";
        firstNameTextField.text = @"";
        ageTextField.text = @"";
        
        // Kein Textfeld soll First Responder sein.
        [nameTextField resignFirstResponder];
        [firstNameTextField resignFirstResponder];
        [ageTextField resignFirstResponder];
    }  
}




@end
